{
===============================================================================
  Copyright (©) 2007. Rodax Software.
===============================================================================
  Los contenidos de este fichero son propiedad de Rodax Software titular del
  copyright. Este fichero sólo podrá ser copiado, distribuido y utilizado,
  en su totalidad o en parte, con el permiso escrito de Rodax Software, o de
  acuerdo con los términos y condiciones establecidas en el acuerdo/contrato
  bajo el que se suministra.
  -----------------------------------------------------------------------------
  Web:  www.rodax-software.com
===============================================================================
  Fecha primera versión: 
  Versión actual: 1.0.0
  Fecha versión actual: 
===============================================================================
  Modificaciones:

    Fecha         Comentarios
    ---------------------------------------------------------------------------
===============================================================================
}

unit uBizRecibosCliCompensados;

interface

uses
  uDAInterfaces, uDADataTable, uDBSelectionListUtils, schRecibosClienteClient_Intf;

const
  BIZ_CLIENT_RECIBOS_COMPENSADOSCLI = 'Client.RecibosCompensadosCli';

type
  IBizRecibosCompensadosCli = interface(IRecibosCompensadosCli)
  ['{F9C18EAC-6769-428C-ABFB-AD6639F413D9}']
  end;

  TBizRecibosCompensadosCli = class(TRecibosCompensadosCliDataTableRules, IBizRecibosCompensadosCli)
     procedure BeforeInsert(Sender: TDADataTable); override;
  end;

implementation

uses
  DB;



{ TBizRecibosCompensadosCli }

procedure TBizRecibosCompensadosCli.BeforeInsert(Sender: TDADataTable);
var
  AMasterTable : TDADataTable;
begin
  inherited;
  AMasterTable := DataTable.GetMasterDataTable;
  if Assigned(AMasterTable) and (AMasterTable.State = dsInsert) then
    AMasterTable.Post;
end;

initialization
  RegisterDataTableRules(BIZ_CLIENT_RECIBOS_COMPENSADOSCLI, TBizRecibosCompensadosCli);

finalization

end.

